package com.cpic.xim.notify.disaster;

import java.util.Vector;

public class QWeatherDisasterWarning
{
    public QWeatherDisasterWarning( String code,
                                    String updateTime,
                                    String fxLink,
                                    Vector<QWeatherDisasterWarningItem> warning,
                                    QWeatherDisasterWarningRefer refer )
    {
        this.code       = code;
        this.updateTime = updateTime;
        this.fxLink     = fxLink;
        this.warning    = warning;
        this.refer      = refer;
    }

    public QWeatherDisasterWarning() {}

    public String getCode()
    {
        return code;
    }

    public void setCode( String code )
    {
        this.code = code;
    }

    public String getUpdateTime()
    {
        return updateTime;
    }

    public void setUpdateTime( String updateTime )
    {
        this.updateTime = updateTime;
    }

    public String getFxLink()
    {
        return fxLink;
    }

    public void setFxLink( String fxLink )
    {
        this.fxLink = fxLink;
    }

    public Vector<QWeatherDisasterWarningItem> getWarning()
    {
        return warning;
    }

    public void setWarning( Vector<QWeatherDisasterWarningItem> warning )
    {
        this.warning = warning;
    }

    public QWeatherDisasterWarningRefer getRefer()
    {
        return refer;
    }

    public void setRefer( QWeatherDisasterWarningRefer refer )
    {
        this.refer = refer;
    }

    private String                              code;
    private String                              updateTime;
    private String                              fxLink;
    private Vector<QWeatherDisasterWarningItem> warning;
    private QWeatherDisasterWarningRefer        refer;
}
